﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="IgDocExporterRightAlignedColumn._default" %>

<%@ Register Assembly="Infragistics45.Web.v13.1, Version=13.1.20131.2107, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<style type="text/css">
		.numCol { text-align: right !important; white-space: nowrap; }
	</style>
</head>
<body>
    
	<form id="form1" runat="server">
        <asp:ScriptManager ID="sm" runat="server"></asp:ScriptManager>
        <ig:WebDocumentExporter ID="WebDocumentExporter1" runat="server"></ig:WebDocumentExporter>
	<div>
		<p><asp:Button ID="btnExport" runat="server" Text="Export to PDF" OnClick="btnExport_Click" /></p>

		<ig:WebHierarchicalDataGrid ID="grid" runat="server" Width="100%" AutoGenerateColumns="False">
			<Columns>
				<ig:BoundDataField Key="ProjectId">
					<Header Text="Project"></Header>
				</ig:BoundDataField>
				<ig:BoundDataField Key="Name">
					<Header Text="Name"></Header>
				</ig:BoundDataField>
				<ig:BoundDataField Key="Hours" DataFormatString="{0:###,##0.0}" DataType="System.Decimal" CssClass="numCol">
					<Header Text="Hours" CssClass="right"></Header>
				</ig:BoundDataField>
			</Columns>
			<GroupingSettings EnableColumnGrouping="True" GroupAreaVisibility="Hidden" GroupedRowTextMask="{1}" IndentationFactor="10" />
			<Behaviors>
				<ig:SummaryRow Enabled="true" ShowSummariesButtons="false" EnableSummariesFilter="false" CompactRendering="On" FormatString="{1}" EmptyFooterText="" EnableInheritance="True">
					<ColumnSummaries>
						<ig:ColumnSummaryInfo ColumnKey="Hours">
							<Summaries>
								<ig:Summary SummaryType="Sum" />
							</Summaries>
						</ig:ColumnSummaryInfo>
					</ColumnSummaries>
				</ig:SummaryRow>
			</Behaviors>
		</ig:WebHierarchicalDataGrid>
	</div>
	</form>
</body>
</html>